# Installation

install your python environment eny possible way

E.g. with venv

```
$ python -m venv venv
```

activate your virtual environment
```
$ source venv/bin/activate
```

install the packages that are the requirements.txt

```
$ pip install -e .
```

install autocompletions

```
oks-cli install-completion
```

# Usage

```
oks-cli fullhelp
```

---

For python 3.11 it is yet possible to install "user-wide":


```
pip3.11 install -e --user .
```

Then if /Users/MGV2/Library/Python/3.11/bin is in PATH it will work directly


---

Development process:

Normal installation without "-e" makes package frozen. To be able still work on the code,
use --editable key

Files in oks_cli/ are directly editable then and oks-cli calls will reflect the changes here

Dependencies are listed in setup.py

